Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022833
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-01-17 18:522015-05-27 10:37
ReporterjecharriView Statuspublic 
Assigned Tomarvintm 
PriorityurgentResolutionno change requiredFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget VersionRMP19
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRMP18SCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022833: Promotions and discounts tab should be displayed when retail is installed

DescriptionPromotions and discounts tab should be displayed when retail is installed
Steps To Reproduce-
TagsNo tags attached.
Attached Filespng file icon Selection_002.png [^] (291,270 bytes) 2014-12-08 11:01
png file icon Selection_003.png [^] (298,057 bytes) 2014-12-08 11:43

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0055663)
guilleaer (developer)
2013-01-21 11:51

This problem was corrected by this changeset:

https://code.openbravo.com/erp/pmods/org.openbravo.retail.pack/rev/aca5d0f7dbea [^]
(0072050)
sureshbabu (reporter)
2014-11-27 04:21

able to reproduce the issue in Q3.2 test instance
(0072330)
mtaal (manager)
2014-12-08 11:12
edited on: 2014-12-08 11:43

The retail configScript correctly sets active to Y for the 2 tabs in sales order/invoice.

But... there is a core configScript which sets the active to N for the 2 discounts and promotions:
https://code.openbravo.com/erp/devel/pi/file/tip/modules/org.openbravo.v3/src-db/database/configScript.xml#l80 [^]

Note, the corescript does this twice even.

(0077798)
sureshbabu (reporter)
2015-05-27 10:37

discounts and promotions tab will be displayed only when the instance is active.

- Issue History
Date Modified Username Field Change
2013-01-17 18:52 jecharri New Issue
2013-01-17 18:52 jecharri Assigned To => guilleaer
2013-01-21 11:51 guilleaer Note Added: 0055663
2013-01-21 11:51 guilleaer Status new => closed
2013-01-21 11:51 guilleaer Resolution open => fixed
2014-11-27 04:21 sureshbabu Assigned To guilleaer => marvintm
2014-11-27 04:21 sureshbabu Note Added: 0072050
2014-11-27 04:21 sureshbabu Status closed => new
2014-11-27 04:21 sureshbabu Resolution fixed => open
2014-12-08 11:01 mtaal File Added: Selection_002.png
2014-12-08 11:12 mtaal Note Added: 0072330
2014-12-08 11:43 mtaal Note Edited: 0072330 View Revisions
2014-12-08 11:43 mtaal File Added: Selection_003.png
2015-05-27 10:37 sureshbabu Note Added: 0077798
2015-05-27 10:37 sureshbabu Status new => closed
2015-05-27 10:37 sureshbabu Resolution open => no change required


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker